package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.inventory.dto.InventoryFinishedSelectDto;
import com.sd.business.entity.inventory.vo.InventoryFinishedTemporaryVo;
import com.sd.business.service.inventory.InventoryFinishedTemporaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 成品暂存仓库 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-15
 */
@RestController
@RequestMapping("/inventoryFinishedTemporary")
public class InventoryFinishedTemporaryController {
    @Autowired
    private InventoryFinishedTemporaryService inventoryFinishedTemporaryService;

    /**
     * 成品暂存仓库分页
     */
    @PostMapping("/page")
    public Page<InventoryFinishedTemporaryVo> page(@RequestBody InventoryFinishedSelectDto dto) {
        return inventoryFinishedTemporaryService.getPage(dto);
    }
}
